selected = false
muted = false
midiChan = 0

gfx.init("Xsample",1,1)

gfx.x = gfx.mouse_x
gfx.y = gfx.mouse_y

input = gfx.showmenu("1 Senza Vibrato MW|2 Staccato 1 Velocity MW Shape|3 Staccato 2 Velocity MW Shape|4 Flutter Tongue MW|5 Crescendo|6 Multiphonics + Undefined Tones Velocity|7 Air Noises Velocity CC4|8 Key Noises Velocity MW Shape|9 Slides Down Velocity|10 Slides Up Velocity|11 Senza Vibrato Velocity|12 Flutter Tongue Velocity|13 Senza Vibrato Velocity + MW inverted|14 Triple Tongue 16T|15 Senza Vibrato + Flutter Tongue Velocity X MW|16 Staccato Velocity|17 With Accent Velocity|18 Multiphonics MW|19 Air Noises MW|20 Key Noises Velocity|21 Undefined Tones Velocity|22 Vibrato MW|23 Vibrato Velocity|24 Vibrato Velocity + MW inverted|25 Secco Velocity|26 Portato Velocity|27 Flutter Tongue Velocity + MW inverted|28 Pseudo Bass Velocity + MW inverted|29 Pseudo Bass Staccato Velocity||")
if input >= 0 then 

function main() 
  take = reaper.MIDIEditor_GetTake(reaper.MIDIEditor_GetActive())
  if take == nil then return end
  item = reaper.GetMediaItemTake_Item(take)
  pos = reaper.GetCursorPosition() 
  ppq = reaper.MIDI_GetPPQPosFromProjTime(take, pos)
  
  MSB = 0
  LSB = 0
  PC  = 0
  
  if input ~= 0 then
  
  reaper.MIDI_InsertCC(
    take, 
    selected,
    muted,
    ppq,
    0xB0,-- midi CC
    midiChan,
    0, -- controller #0: Bank Select MSB
    input-1 -- MSB value
  )
  reaper.MIDI_InsertCC(
    take, 
    selected,
    muted,
    ppq,
    0xB0,-- midi CC
    midiChan,
    32, -- controller #32: Bank Select LSB
    0 -- LSB value
  )
  reaper.MIDI_InsertCC(
    take, 
    selected,
    muted,
    ppq,
    0xC0,-- Program Change
    midiChan,
    PC, -- program change value
    0
  )
  end
  reaper.UpdateItemInProject(item)   
end
end

script_title = "Xsample Acoustic Instruments"
reaper.Undo_BeginBlock()
main()
reaper.Undo_EndBlock(script_title, 0)
